# Notes for making stuff work

NOTE: move this file's content to <https://docs.folliehiyuki.com> when the site is set up properly.

## Debug

- Evaluate a final output: `nix eval --json .#nixosConfigurations.aragorn.config.nix.registry`

- Interactively check each value:
```bash
$ nix repl
Welcome to Nix 2.20.1. Type :? for help.

nix-repl> :lf .
Added 23 variables.

nix-repl> inputs.flake-parts.narHash
```

## Darwin

- Start `minikube` with **qemu2** driver:
```bash
minikube start \
  --driver qemu \
  --network socket_vmnet \
  --qemu-firmware-path /etc/profiles/per-user/${USER}/share/qemu/edk2-aarch64-code.fd
```

- `podman-machine` might not be able to find qemu's UEFI firmware files. Specify it in the machine configuration:

***~/.config/containers/podman/machine/qemu/podman-machine-${PODMAN_MACHINE_INSTANCE}.json***
```json
{
...
  "CmdLine": [
    ...
    "file=/etc/profiles/per-user/${USER}/share/qemu/edk2-aarch64-code.fd,if=pflash,format=raw,readonly=on",
    ...
  ],
...
}
```

- Set up Docker host:

```bash
# Start a lima VM hosting remote dockerd daemon
# (all lima templates are available at https://github.com/lima-vm/lima/tree/master/examples)
limactl create --name=docker template://docker

# Start the created VM
limactl start docker

# Add a separated Docker context pointing to the VM
docker context create lima-docker --docker "host=unix:///Users/${USER}/.lima/docker/sock/docker.sock"

# Switch to the new context
docker context use lima-docker

# docker works now \(^-^)/
docker images -a
```

## NixOS
