# Ref: https://minikube.sigs.k8s.io/docs/drivers/qemu/
{ config, lib, ... }: with lib; {
  options.services.socket_vmnet.enable = mkEnableOption "socket_vmnet";

  config = mkIf config.services.socket_vmnet.enable {
    homebrew = {
      brews = [ "socket_vmnet" ];
      taps = [ "homebrew/services" ];
    };

    # HomeBrew is stupid, okay? It can't be run as root to do stuff as root.
    # NOTE: ensure the normal user has root privilege.
    system.activationScripts.postUserActivation.text = ''
      sudo ${config.homebrew.brewPrefix}/brew services start socket_vmnet
    '';
  };
}
