{ inputs, lib, ... }:
let
  darwinHosts = [
    "hoangnguyenhuy"
  ];
  nixosHosts = [
    "aragorn"
  ];
in
{
  flake = {
    darwinConfigurations = lib.genAttrs darwinHosts
      (name: inputs.darwin.lib.darwinSystem {
        specialArgs = { inherit inputs; };
        modules = [
          ../darwin
          ../home-manager
          ../hosts/${name}
          {
            system.stateVersion = 4;
            networking.computerName = name;
            networking.hostName = name;
          }
        ];
      });

    nixosConfigurations = lib.genAttrs nixosHosts
      (name: lib.nixosSystem {
        specialArgs = { inherit inputs; };
        modules = [
          ../nixos
          ../home-manager
          ../hosts/${name}
          { networking.hostName = name; }
        ];
      });
  };
}
