{ inputs, ... }: {
  imports = [ inputs.treefmt-nix.flakeModule ];

  perSystem = { pkgs, config, ... }: {
    devShells.default = pkgs.mkShellNoCC {
      name = "nixconfig";
      meta.description = "Development shell for the Nix dotfiles";
      inputsFrom = [ config.treefmt.build.devShell ];
      packages = with pkgs; [
        git
        home-manager
        nix
        nix-unit
        sops
        vim
      ];
    };

    # NOTE: use `nix-unit` from the repository, as nix-community/nix-unit
    # flake doesn't build
    checks.nix-unit = pkgs.writeShellScriptBin "nix-unit" ''
      ${pkgs.nix-unit}/bin/nix-unit --flake .#tests
    '';

    treefmt = {
      projectRootFile = "flake.lock";

      programs = {
        statix.enable = true;
        deadnix.enable = true;
        nixpkgs-fmt.enable = true;
      };
    };
  };
}
