{ inputs, config, ... }: {
  imports = with inputs; [
    nix-index-database.hmModules.nix-index
    sops-nix.homeManagerModules.sops
    ./options.nix
  ];

  programs.home-manager.enable = true;

  home.stateVersion = "24.05";

  # Link static data files into places
  home.file."${config.xdg.binHome}" = {
    source = ./local/bin;
    recursive = true;
  };

  sops = {
    defaultSopsFile = ../secrets.json;
    defaultSopsFormat = "json";
  };
}
