{ config, lib, pkgs, ... }:
with lib; {
  # XDG_BIN_HOME is not set by default
  options.xdg.binHome = mkOption {
    type = types.path;
    defaultText = "~/.local/bin";
    apply = builtins.toString;
    description = ''
      Absolute path to directory storing user-specific executables.
    '';
  };

  config = mkIf config.xdg.enable {
    xdg.binHome = mkDefault "${config.home.homeDirectory}/.local/bin";
    home.sessionVariables.XDG_BIN_HOME = config.xdg.binHome;
    systemd.user.sessionVariables.XDG_BIN_HOME = mkIf pkgs.stdenv.isLinux config.xdg.binHome;
  };
}
