{ lib, pkgs, ... }: lib.mkIf pkgs.stdenv.isLinux {
  programs.chromium = {
    package = pkgs.ungoogled-chromium; # FIXME: doesn't work yet, see https://github.com/nix-community/home-manager/pull/4174
    commandLineArgs = [
      # Enable Wayland support
      "--ozone-platform-hint=auto"
      "--gtk-version=4"

      # ungoogled-chromium's specific flags
      # Ref: https://github.com/ungoogled-software/ungoogled-chromium/blob/master/docs/flags.md
      "--disable-beforeunload"
      "--disable-search-engine-collection"
      "--fingerprinting-canvas-image-data-noise"
      "--fingerprinting-canvas-measuretext-noise"
      "--fingerprinting-client-rects-noise"
      "--popups-to-tabs"
      "--disable-sharing-hub"
      "--no-default-browser-check"
      "--no-pings"
      "--omnibox-autocomplete-filtering=search"

      "--enable-features=${lib.concatStringsSep "," [
        "MinimalReferrers"
        "ClearDataOnExit"
        "DisableQRGenerator"
      ]}"
    ];
    dictionaries = [ pkgs.hunspellDictsChromium.en_US ];
    extensions = [
      {
        id = "ocaahdebbfolfmndjeplogmgcagdmblk"; # Chromium Web Store
        updateUrl = "https://raw.githubusercontent.com/NeverDecaf/chromium-web-store/master/updates.xml";
      }
      { id = "lckanjgmijmafbedllaakclkaicjfmnk"; } # ClearURLs
      { id = "fhcgjolkccmbidfldomjliifgaodjagh"; } # Cookie AutoDelete
      { id = "ldpochfccmkkmhdbclfhpagapcfdljkj"; } # Decentraleyes
      { id = "ddkjiahejlhfcafbddmgiahcphecmpfh"; } # uBlock Origin Lite
      { id = "mnjggcdmjocbbbhaepdhchncahnbgone"; } # SponsorBlock for YouTube
    ];
  };
}
