{ config, ... }:
let
  # Reuse the confiugraion of alacritty
  cfg = config.programs.alacritty.settings;
  font_size = builtins.toString cfg.font.size;
in
{
  programs.foot = {
    server.enable = true;
    settings = {
      main = {
        font = "IosevkaTerm Nerd Font:style=Regular:size=${font_size}, Sarasa Term J:style=Regular:size=${font_size}";
        font-bold = "IosevkaTerm Nerd Font:style=Bold:size=${font_size}, Sarasa Term J:style=Bold:size=${font_size}";
        font-italic = "IosevkaTerm Nerd Font:style=Italic:size=${font_size}, Sarasa Term J:style=Italic:size=${font_size}";
        font-bold-italic = "IosevkaTerm Nerd Font:style=Bold Italic:size=${font_size}, Sarasa Term J:style=Bold Italic:size=${font_size}";
        underline-offset = "2px";
        dpi-aware = false;
        pad = "${builtins.toString cfg.window.padding.x}x${builtins.toString cfg.window.padding.y}";
      };
      bell = { urgent = true; notify = true; };
      scrollback.lines = cfg.scrolling.history;
      url.osc8-underline = "always";
      cursor = {
        style = "block";
        beam-thickness = 1.0;
        color = "2e3440 d8dee9";
      };
      mouse.hide-when-typing = cfg.mouse.hide_when_typing;
      colors = {
        alpha = cfg.window.opacity;

        foreground = "d8dee9";
        background = "2e3440";

        regular0 = "3b4252";
        regular1 = "bf616a";
        regular2 = "a3be8c";
        regular3 = "ebcb8b";
        regular4 = "81a1c1";
        regular5 = "b48ead";
        regular6 = "88c0d0";
        regular7 = "e5e9f0";

        bright0 = "4c566a";
        bright1 = "bf616a";
        bright2 = "a3be8c";
        bright3 = "ebcb8b";
        bright4 = "81a1c1";
        bright5 = "b48ead";
        bright6 = "8fbcbb";
        bright7 = "eceff4";

        dim0 = "373e4d";
        dim1 = "94545d";
        dim2 = "809575";
        dim3 = "b29e75";
        dim4 = "68809a";
        dim5 = "8c738c";
        dim6 = "6d96a5";
        dim7 = "aeb3bb";
      };
    };
  };
}
