{ config, lib, pkgs, ... }:
let
  forgit = pkgs.fetchFromGitHub {
    owner = "wfxr";
    repo = "forgit";
    rev = "b35b309ce57062d301a2036a5fd3c149ad2d62f4";
    hash = "sha256-XZeLF0YwUl8N8j8tRRU1QVd8tenTDorZyAHItCE4Jlw=";
  };
in
with lib;
{
  options.programs.git-forgit.enable = mkEnableOption "git-forgit";

  config = lib.mkIf config.programs.git-forgit.enable {
    home.file."${config.xdg.binHome}/git-forgit".source = "${forgit}/bin/git-forgit";

    # Add shell completions
    xdg.configFile."fish/completions/git-forgit.fish" = lib.mkIf config.programs.fish.enable {
      source = "${forgit}/completions/git-forgit.fish";
    };
    programs.zsh.initExtraBeforeCompInit = lib.mkIf config.programs.zsh.enable ''
      fpath+=(${forgit}/completions)
    '';
  };
}
