_: {
  programs.starship.settings = {
    add_newline = false;
    scan_timeout = 60;
    aws = { symbol = " "; expiration_symbol = " !"; };
    azure = { symbol = " "; disabled = false; };
    battery = {
      full_symbol = "󰁹";
      charging_symbol = "󰂅 ";
      discharging_symbol = "󱉝 ";
      unknown_symbol = "󰂑";
      empty_symbol = "󰂎";
      display = [
        {
          threshold = 20;
          charging_symbol = "󱊥 ";
          discharging_symbol = "󱊢";
          style = "bold yellow";
        }
        {
          threshold = 10;
          charging_symbol = "󱊤 ";
          discharging_symbol = "󱊡";
          style = "bold red";
        }
      ];
    };
    character = { error_symbol = "[✗](bold red)"; };
    container = { symbol = "󱣘 "; };
    directory = {
      read_only = "  ";
      read_only_style = "bold red";
    };
    gcloud = { symbol = " "; };
    git_commit = {
      commit_hash_length = 8;
      tag_disabled = false;
      tag_symbol = " 󰓹 ";
    };
    git_state = {
      am = "APPLY-MAILBOX";
      am_or_rebase = "APPLY-MAILBOX/REBASE";
    };
    git_status = {
      conflicted = ''=''${count} '';
      ahead = ''⇡''${count} '';
      behind = ''⇣''${count} '';
      diverged = ''⇡''${ahead_count} ⇣''${behind_count} '';
      untracked = ''?''${count} '';
      stashed = ''\\''$''${count} '';
      modified = ''!''${count} '';
      staged = ''+''${count} '';
      renamed = ''»''${count} '';
      deleted = ''✘''${count} '';
      format = ''([''$all_status''$ahead_behind](''$style))'';
    };
    golang = { symbol = " "; };
    helm = { symbol = "󰠳 "; };
    kubernetes = {
      disabled = false;
      symbol = "󱃾 ";
      style = "blue bold";
    };
    nix_shell = { style = "cyan bold"; };
    terraform = {
      symbol = " ";
      style = "bold purple";
      format = "via [$symbol($version )$workspace]($style) ";
    };
    pulumi = { symbol = "  "; };
  };
}
