function _set_zsh_options() {
  local options=(
    "AUTO_LIST"
    "AUTO_MENU"
    "AUTO_PUSHD"
    "CDABLE_VARS"
    "COMPLETE_IN_WORD"
    "CORRECT"
    "HASH_LIST_ALL"
    "HIST_BEEP"
    "HIST_FIND_NO_DUPS"
    "HIST_REDUCE_BLANKS"
    "HIST_VERIFY"
    "INC_APPEND_HISTORY"
    "INTERACTIVE_COMMENTS"
    "LONG_LIST_JOBS"
    "NOTIFY"
    "PUSHD_IGNORE_DUPS"
    "PUSHD_SILENT"
    "PUSHD_TO_HOME"
  )

  for option in "${options[@]}"; do
    setopt $option
  done
}

function _unset_zsh_options() {
  local options=(
    "ALWAYS_TO_END"
    "AUTO_CD"
    "AUTO_NAME_DIRS"
    "BEEP"
    "BG_NICE"
    "CASE_GLOB"
    "CHECK_JOBS"
    "COMPLETE_ALIASES"
    "CORRECT_ALL"
    "GLOB_DOTS"
    "HUP"
    "MENU_COMPLETE"
    "NOMATCH"
  )

  for option in "${options[@]}"; do
    unsetopt $option
  done
}

_set_zsh_options
_unset_zsh_options
